class Person:
    bag = []                      ### 가방을 여러 사람이 공유 할 경우
 
    def put_bag(self, stuff):
        self.bag.append(stuff)
 
james = Person()
james.put_bag('책')
 
maria = Person()
maria.put_bag('열쇠')
 
print(james.bag)   ## ['책', '열쇠']
print(maria.bag)   ## ['책', '열쇠'] 

class Person:
    def __init__(self):
      self.bag = []                      ### 가방을 여러 사람이 공유하지 않으려면 bag을 인스턴스 속성으로 만들면 된다
 
    def put_bag(self, stuff):
        self.bag.append(stuff)
 
james = Person()
james.put_bag('책')
 
maria = Person()
maria.put_bag('열쇠')
 
print(james.bag)   ## ['책']
print(maria.bag)   ## ['열쇠'] 